//
//  HerasSoundPlayer.h
//  musicplayer
//
//  Created by jianquan chen on 12-6-18.
//  Copyright (c) 2012年 zjut. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <QTKit/QTKit.h>
#import "HerasSound.h"
#import "HerasPlaybackStatus.h"
//
//sound player(quicktime version)
//
@interface HerasPlayer : NSObject 
{
    NSMutableArray * list;
    QTMovie * movie;
    float _volume;
    QTTime currentTime;
    int index;
    BOOL playing;
    HerasSound * _current;
    NSNotificationCenter *center;
    
}

-(void) load;

-(BOOL) save;
//
//add a sound to the playlist.
//
-(void) add:(NSURL *) file;
-(void) empty;
-(void) removeAt:(NSInteger) index;
//
//play next sound(if exsists)
//
-(void) next;
//
//play previous sound(if exsists)
//
-(void) previous;
-(void) randmom;
//
//current sound
//
-(HerasSound *) current;
//
//the number of sounds within  playlist
//
-(NSInteger) size;
//
//current index of sound
//
-(NSInteger) currentIndex;
-(void) mute;
-(void) unmute;
@property(readonly) float position;
@property id<HerasPlaybackStatus> delegate;
//
//playlist of the player
//
@property (readonly,nonatomic) NSMutableArray* playlist;
/**
 *volume of the player
 */
@property(nonatomic) float volume;
@property(readonly) BOOL isPlaying;
@property(readonly) BOOL muted;
@property (readonly) NSString* currentSound;
/**
 *current position of current sound
 */
@property(readonly,nonatomic) QTTime currentTime;
/**
 *duration of  current sound
 */
@property(readonly,nonatomic) QTTime duration;
/**
 *play 
 */
-(void) play;
/**
 *stop  
 */
-(void) stop;
/**
 *seek
 */
-(void) seek:(float) position;
/**
 *jump to
 */
-(void) jumpTo:(NSInteger) index;
@end
